Skip site navigation (1) Skip section navigation (2)

Re: Restoring 7.4 "pg_dumpall -o" output in 8.1 fails

From: Tom Lane <tgl(at)sss(dot)pgh(dot)pa(dot)us>
To: gson(at)gson(dot)org (Andreas Gustafsson)
Cc: pgsql-bugs(at)postgresql(dot)org
Subject: Re: Restoring 7.4 "pg_dumpall -o" output in 8.1 fails
Date: 2006-08-04 15:08:08
Message-ID: 18487.1154704088@sss.pgh.pa.us (view raw or flat)
Thread:
Lists: pgsql-bugs
gson(at)gson(dot)org (Andreas Gustafsson) writes:
> I recently attempted to upgrade a PostgreSQL 7.4 installation to 8.1 by
> following the instructions at
> <http://www.postgresql.org/docs/8.1/interactive/install-upgrading.html>,
> having used "pg_dumpall -o" to dump the data in 7.4.  When I tried to
> restore the data in 8.1, psql reported a large number of syntax
> errors.

Try making the dump from the 7.4 server using 8.1's pg_dump(all).

If you've already wiped the 7.4 installation then you'll have to deal
with the incompatibilities yourself.  It looked like setting
default_with_oids to true in the 8.1 server would help (although do you
*really* need to preserve OIDs in your dump?  That -o switch is pretty
well deprecated these days).  The "cannot delete from a view" is
probably coming from an attempt to "DELETE FROM pg_shadow", which you
can ignore.  You didn't show us any other problems.

			regards, tom lane

In response to

Responses

pgsql-bugs by date

Next:From: Stephan SzaboDate: 2006-08-04 16:19:01
Subject: Re: referential integrity violation - key referenced from
Previous:From: Luiz HenriqueDate: 2006-08-04 14:30:04
Subject: Re: referential integrity violation - key referenced from

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group